> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/get-easy-convert-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get easy convert history GET https://www.okx.com/api/v5/trade/easy-convert-history Get the history and status of easy convert trades in the past 7 days. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/get-easy-convert-history ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Query parameters - `before` (string, optional) — Pagination of data to return records newer than the requested time (exclude), Unix timestamp format in milliseconds, e.g. `1597026383085` - `after` (string, optional) — Pagination of data to return records earlier than the requested time (exclude), Unix timestamp format in milliseconds, e.g. `1597026383085` - `limit` (string, optional) — Number of results per request. The maximum is 100. The default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeEasyConvertHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeEasyConvertHistoryGetResponsesContentApplicationJsonSchemaDataItems - `fromCcy` (string, optional) — Type of small payment currency convert from - `toCcy` (string, optional) — Type of mainstream currency convert to - `fillFromSz` (string, optional) — Amount of small payment currency convert from - `fillToSz` (string, optional) — Amount of mainstream currency convert to - `status` (string, optional) — Current status of easy convert `running`: Running `filled`: Filled `failed`: Failed - `acct` (string, optional) — The account where the mainstream currency is located `6`: Funding account `18`: Trading account - `uTime` (string, optional) — Trade time, Unix timestamp format in milliseconds, e.g. `1597026383085` ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "fromCcy": "OKB", "toCcy": "ADA", "fillFromSz": "0.1761712511667539", "fillToSz": "6.7342205900000000", "status": "filled", "acct": "18", "uTime": "1661313307979" }, { "fromCcy": "OKB", "toCcy": "USDC", "fillFromSz": "0.1722106121112177", "fillToSz": "2.9971018300000000", "status": "filled", "acct": "18", "uTime": "1661313307979" } ] } ``` **SDK Code** ```python trade_getEasyConvertHistory_example import requests url = "https://www.okx.com/api/v5/trade/easy-convert-history" headers = {"OK-ACCESS-KEY": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript trade_getEasyConvertHistory_example const url = 'https://www.okx.com/api/v5/trade/easy-convert-history'; const options = {method: 'GET', headers: {'OK-ACCESS-KEY': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_getEasyConvertHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/easy-convert-history" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("OK-ACCESS-KEY", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_getEasyConvertHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/easy-convert-history") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["OK-ACCESS-KEY"] = '' response = http.request(request) puts response.read_body ``` ```java trade_getEasyConvertHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/trade/easy-convert-history") .header("OK-ACCESS-KEY", "") .asString(); ``` ```php trade_getEasyConvertHistory_example request('GET', 'https://www.okx.com/api/v5/trade/easy-convert-history', [ 'headers' => [ 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_getEasyConvertHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/easy-convert-history"); var request = new RestRequest(Method.GET); request.AddHeader("OK-ACCESS-KEY", ""); IRestResponse response = client.Execute(request); ``` ```swift trade_getEasyConvertHistory_example import Foundation let headers = ["OK-ACCESS-KEY": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/easy-convert-history")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```